---
type: API Endpoint
title: "Existence"
description: "Endpoint for testing whether paths exist and are visible to the caller."
tags: [api, terrain, endpoints, filesystem]
status: stable
generated: { by: process:okf-migration, at: 2026-07-29T00:00:00Z }
---
File/Directory existence
------------------------
The /exists endpoint allows the caller to check for the existence of a set of files. The following is an example call to the exists endpoint:

__URL Path__: /secured/filesystem/exists

__HTTP Method__: POST

__Error Codes__: ERR_NOT_A_USER

__Request Query Parameters__:

__Request Body__:

    {
        "paths" : [
            "/iplant/home/wregglej/pom.xml",
            "/iplant/home/wregglej/pom.xml2"
        ]
    }

__Response Body__:

    {
        "paths":{
            "/iplant/home/wregglej/pom.xml2":false,
            "/iplant/home/wregglej/pom.xml":false
        }
    }

__Curl Command__:

    curl -H "$AUTH_HEADER" -H "Content-type:application/json" -d '{"paths" : ["/iplant/home/wregglej/pom.xml", "/iplant/home/wregglej/pom.xml2"]}' 'http://127.0.0.1:3000/secured/filesystem/exists
